/*
 * dvb2010 for linux-dvb
 *
 * Copyright (c) 2008 Darron Broad
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE for details.
 */
#ifndef _DVB2010_H
#define _DVB2010_H

#define DEBUGLEVEL (0)

#include <string>
#include <vector>
#include <iostream>
#include <iomanip>
#include <fstream>
#include <list>
#include <map>
#include <cstring>
#include <algorithm>
#include <sstream>
using namespace std;

/*
 * system includes
 */
extern "C" {
#include <assert.h>
#include <dirent.h>
#include <errno.h>
#include <fcntl.h>
#include <getopt.h>
#include <libgen.h>
#include <limits.h>
#include <math.h>
#include <regex.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <sysexits.h>
#include <unistd.h>

#include <sys/ioctl.h>
#include <sys/select.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/types.h>

#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <netinet/tcp.h>

#include <linux/dvb/dmx.h>
#include "linux/dvb/frontend.h"

#include <expat.h>
#include <iconv.h>
};

/*
 * debug
 */
#define dprintf(level, fmt, arg...) if (level <= DEBUGLEVEL) { \
	fprintf(stdout, "%s: " fmt, __PRETTY_FUNCTION__, ## arg); \
	fflush(stdout); }

#endif /* ! _DVB2010_H */
