/*
 * dvb2010 for linux-dvb
 *
 * Copyright (c) 2008 Darron Broad
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE for details.
 */
#ifndef _DVBCOMPAT_H
#define _DVBCOMPAT_H

#include "dvb2010.h"

namespace dvbcompat
{
	fe_code_rate_t fec_inner2coderatet(unsigned int);
	const char *coderatet2cstr(fe_code_rate_t);
	fe_code_rate_t str2coderatet(string);
	const char *coderatet2szap(fe_code_rate_t);
	fe_code_rate_t szap2coderatet(string);

	fe_delivery_system_t system2delsyst(unsigned int);
	const char *delsyst2cstr(fe_delivery_system_t);
	fe_delivery_system_t str2delsyst(string);
	const char *delsyst2szap(fe_delivery_system_t);
	fe_delivery_system_t szap2delsyst(string);

	fe_sec_voltage_t polarisation2voltaget(char);
	const char *voltaget2cstr(fe_sec_voltage_t);
	unsigned int polarisation2uint(char);
	const char *polarisation2cstr(unsigned int, bool = false);

	fe_modulation_t modulation2modulationt(unsigned int);
	const char *modulationt2cstr(fe_modulation_t);
	fe_modulation_t str2modulationt(string);
	const char *modulationt2szap(fe_modulation_t);
	fe_modulation_t szap2modulationt(string);

	fe_rolloff_t rolloff2rollofft(unsigned int);
	const char *rollofft2cstr(fe_rolloff_t);
	fe_rolloff_t str2rollofft(string);
	const char *rollofft2szap(fe_rolloff_t);
	fe_rolloff_t szap2rollofft(string);

	fe_pilot_t pilot2pilott(unsigned int);
	const char *pilott2cstr(fe_pilot_t);
	fe_pilot_t str2pilott(string);
};

#endif /* ! _DVBCOMPAT_H */
