/*
 * dvb2010 for linux-dvb
 *
 * Copyright (c) 2008 Darron Broad
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE for details.
 */
#ifndef _LNB_H
#define _LNB_H

#define PERCENT(X) ((unsigned int)(((double)(X) * 100.0 / 65536.0)))

class Lnb
{
private:
	static const unsigned int TIMEOUT = 30;
	static const unsigned int DELAY100MS = 100000;
	static const unsigned int DELAY1S = 1000000;

	int fefd;
	int defd, defdv, defda;

protected:

public:
	Lnb(void);
	~Lnb(void);

	void open(int);
	void close(void);
	int fcntl(int, bool);
	int read(unsigned char *);
	void start(int, int);
	void start(class Service *);
	void stop(void);

	void spin(void);
	void tune(class Transponder *);
	void tune(class Satellite *, string ident, string zapfile, string command);
	
	unsigned int low, high, threshold;
	char polarisation;
	int position;
	unsigned int frequency;
	unsigned char dsec_port;
	unsigned int dsec_repeat;
	unsigned int dsec_burst;
	unsigned int tuning_delay;
	bool tuned;
	__u16 signal;
	__u16 snr;
	__u32 ber;
	__u32 unc;
	unsigned int phy_adapter;
};

#endif /* ! _LNB_H */
