/*
 * Copyright (c) 2004-2008 Darron M Broad
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE for details.
 */

#ifndef _MYSQL5_H
#define _MYSQL5_H

class Mysql5 : public Sql
{
private:
	MYSQL db;
	static const char SCHEMA[];

	void initialise(void);
	void connect(void);

	string dbhost, user, password, database_name, schema_file;

protected:

public:
	Mysql5(const char *, const char *, const char *, const char *, bool = false, const char * = Mysql5::SCHEMA);
	~Mysql5(void);

	void SQLcommand(const char *);
	void SQLcommand(string);
	void SQLcommand(stringstream &);

	int SQLcount(const char *);
	int SQLcount(string);
	int SQLcount(stringstream &);

	int SQLquery(const char *, SqlMatrix *);
	int SQLquery(string, SqlMatrix *);
	int SQLquery(stringstream &, SqlMatrix *);

	string SQLescape(const char *);
	string SQLescape(string);

	string SQLnull(string);
	string SQLquotefield(string);

	void reconnect(void);
};

#endif /* !_MYSQL5_H */
