/*
 * dvb2010 for linux-dvb
 *
 * Copyright (c) 2008 Darron Broad
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE for details.
 */
#ifndef _SERVICE_H
#define _SERVICE_H

struct language
{
	__u16 pid;
	string language;
	unsigned char type;
};

class Service
{
private:

protected:

public:
	static const unsigned int MAX = 8192;

	static const unsigned char UNKNOWN = 0xFF;

	static const unsigned int TV    = 1;
	static const unsigned int RADIO = 2;
	static const unsigned int DATA  = 4;

	Service(__u16 = 0, __u16 = 0);

	void settype(__u8);
	bool filter(unsigned int, unsigned int);

	void addstream(int, int);
	void addtag(unsigned char, unsigned char *, int, int, int, int);
	void readdesc(unsigned char, unsigned char *, int, int);
	
	string serialiseCaid(void);
	void unserialiseCaid(string);
	string serialiseAudio(void);
	void unserialiseAudio(string);

	friend bool operator < (Service left, Service right)
	{
		unsigned int l = left.type * MAX + left.sid;
		unsigned int r = right.type * MAX + right.sid;
		return (l < r);
	}
	
	__u8 type;
	string typestr;
	string service;
	string provider;
	__u16 sid;
	__u16 video;
	vector<__u16> audio;
	vector<__u16> caid;
	vector<struct language> lang;
	__u16 pmt_pid;
	__u16 pcr_pid;
	__u16 text;

	/* UNUSED */
	unsigned int refcount;
	
	/* User-defined name, lcn UNUSED */
	string name;
	int lcn;

	int serviceid, transponderid;
};

#endif /* ! _SERVICE_H */
