/*
 * Copyright (c) 2004-2008 Darron M Broad
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE for details.
 */

#include "dvb2010.h"
#include "cstring.h"
#include "util.h"

#include "matrix.h"
#include "sql.h"

#include "sqlite.h"

/*
 * sqlite interface class
 */

const char
Sqlite::SCHEMA[] = "/usr/local/etc/dvb2010.sqlite";

Sqlite::Sqlite(void)
{
}

Sqlite::~Sqlite(void)
{
}

/*
 * wait for an ever increasing period of time
 */
void
Sqlite::SQLwait(int *w)
{
	(*w)++;
	usleep(*w * 1000);
}

/*
 * escape strings to sqlite requirements (' becomes '')
 */
string
Sqlite::SQLescape(const char *cstr)
{
	string newquery;
	int len = strlen(cstr);

	for (int i = 0; i < len; i++)
	{
		if (cstr[i] == '\'')
			newquery += "''";
		else
			newquery += cstr[i];
	}
	return newquery;
}
string
Sqlite::SQLescape(string query)
{
	return SQLescape(query.c_str());
}

string
Sqlite::SQLnull(string field)
{
	return field + " isnull";
}

string
Sqlite::SQLquotefield(string field)
{
	return "\"" + field + "\"";
}
